# config.mk

# Specifies the value of the compiler prefix (without the trailing '-')

gp2x.host:=gp2x
#gp2x.host:=arm-linux
#gp2x.flags=-g3 -static
gp2x.flags=-static -mtune=arm920t -O2 -fomit-frame-pointer 
#gp2x.flags=-static 
 
# The gp2x.inc and gp2x.lib should point to the directories containing
# the gp2x SDL includes and libraries respectively. Only needed if
# you intend to build for the gp2x.

gp2x.pfx=/usr/local/devkitPro/devkitGP2X
gp2x.inc=-I$(gp2x.pfx)/usr/include
gp2x.lib=-L$(gp2x.pfx)/usr/lib

# Specifies the directory where the gp2x sc68 library is installed.

gp2x.sc68pfx=/home/joel/src/gp2x/dist/sc68-2.1.1
gp2x.sc68inc=-I$(gp2x.sc68pfx)/include/sc68
gp2x.sc68lib=-L$(gp2x.sc68pfx)/lib

# The x86.inc and x86.lib should point to the directories containing
# the native SDL includes and libraries respectively. Only needed if
# you intend to do a native build.

x86.pfx=/usr
x86.inc=-I$(x86.pfx)/include
x86.lib=-L$(x86.pfx)/lib

# Specifies the directory where the native sc68 library is installed.

x86.sc68pfx=/usr/local
x86.sc68inc=-I$(x86.sc68pfx)/include/sc68
x86.sc68lib=-L$(x86.sc68pfx)/lib

# Compiler settings.

CC=$(host)gcc
#CFLAGS=-g -pg
CFLAGS=-Wall $($(target).flags)
INCLUDES=
LIBS=

CXX=$(host)g++
#CXXFLAGS:=-g -pg -Wall
CXXFLAGS=-Wall $($(target).flags)
CXXINCLUDES=$($(target).inc) $($(target).sc68inc)
CXXLIBS=$($(target).lib) $($(target).sc68lib)

ar=$(host)ar
strip=$(host)strip
ld=$(host)ld

# Build rules

gp2x: all
gp2x: host:=$(gp2x.host)-
gp2x: target:=gp2x
gp2x: arch:=.gp2x

x86: all
x86: host:=
x86: target:=x86
x86: arch:=.x86

linux: x86
native: x86
